<?
##################### Класс борьбы с SQL атаками ################
include_once("inclydings/sql.php");

$stop_injection = new InitVars();
$stop_injection->checkVars();
#########################################################
include_once("mysql.php");
include_once("inclydings/antixak.php");
include_once("inclydings/zag.php");
include_once("inclydings/ini.php");
include 'inclydings/sesi.php';
if (isset($user)) {

switch($go) {

default:
echo"<b>Заядлый рыбак</b><br/>";
echo"Мы уже виделись?<br/>Что тебе нужно?<br/><br/>";

echo"[<a href=\"ribak.php?$sd&go=ud\">Купить Удочку</a>]<br/>";
echo"[<a href=\"ribak.php?$sd&go=naz\">Купить Наживку</a>]<br/>";
break;
case 'ud':
$dir = opendir ("L2dbnam/esql2db/shop/ribak");
while ($file = readdir ($dir))
{if (( $file != ".") && ($file != ".."))
{$a[]=$file;}}
closedir ($dir);
$total = count($a);

for ($i = 0; $i < $total; $i++){
$tex = @file("L2dbnam/esql2db/shop/ribak/$a[$i]");
$data = explode(":||:",$tex[0]);

$a[$i]=str_replace(".dat","",$a[$i]);

if($data[2]=="weapon"){
if($udata[9]<="85"){if($data[3]=="NG"){

$dat_id[]=$a[$i];
$dat_cena[]=$data[1];
$dat_sila[]=$data[0];
$dat_gr[]="S";
$dat_name[]=$data[4];}}
}
}
foreach($dat_name as $k=>$v)
{
$gr[]=$dat_gr[$k];
$dat_screen[]="<img src=\"pik4erspic/weapon/$dat_name[$k].gif\" alt=\"pic\"/><a href=\"ribakud.php?$sd&vesh=$dat_id[$k]&gorod=$udata[20]\">$dat_name[$k]</a></b><br/>Атака: +$dat_sila[$k]<br/>Цена: ".number_format($dat_cena[$k])." <font color=\"yellow\">Coin of Luck</font><br/>";
}
$total = count($dat_screen);
if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + 10){ $end = $total; }
else {$end = $start + 10; }
for ($i = $start; $i < $end; $i++){
echo"$dat_screen[$i]";

}
if ($start !== 0) {echo '<a href="shops.php?start='.($start - 10).'&'.$sd.'&go=serg1as">Назад</a>';}
if ($total > $start + 10) {echo '<a href="shops.php?start='.($start + 10).'&'.$sd.'&go=serg1as">Далее</a>';}
break;
case 'naz':
$dir = opendir ("L2dbnam/esql2db/shop/ribaknaz");
while ($file = readdir ($dir))
{if (( $file != ".") && ($file != ".."))
{$a[]=$file;}}
closedir ($dir);
$total = count($a);

for ($i = 0; $i < $total; $i++){
$tex = @file("L2dbnam/esql2db/shop/ribaknaz/$a[$i]");
$data = explode(":||:",$tex[0]);

$a[$i]=str_replace(".dat","",$a[$i]);

if($data[2]=="vesh"){
if($udata[9]<="85"){if($data[3]=="NG"){

$dat_id[]=$a[$i];
$dat_cena[]=$data[1];
$dat_sila[]=$data[0];
$dat_gr[]="S";
$dat_name[]=$data[4];}}
}
}
foreach($dat_name as $k=>$v)
{
$gr[]=$dat_gr[$k];
$dat_screen[]="<img src=\"pik4erspic/weapon/$dat_name[$k].gif\" alt=\"pic\"/><a href=\"ribaknaz.php?$sd&vesh=$dat_id[$k]&gorod=$udata[20]\">$dat_name[$k]</a></b><br/>Наживка: Для рыбалки<br/>Цена: ".number_format($dat_cena[$k])." <font color=\"yellow\">Gold</font><br/>";
}
$total = count($dat_screen);
if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + 10){ $end = $total; }
else {$end = $start + 10; }
for ($i = $start; $i < $end; $i++){
echo"$dat_screen[$i]";

}
if ($start !== 0) {echo '<a href="shops.php?start='.($start - 10).'&'.$sd.'&go=serg1as">Назад</a>';}
if ($total > $start + 10) {echo '<a href="shops.php?start='.($start + 10).'&'.$sd.'&go=serg1as">Далее</a>';}
break;
}
}else{echo"Пароль или ник неверен. Возможно сессия устарела. Попробуйте авторизироваться заново.";}
include_once"inclydings/down.php";
?>